Create a new linked project
POST
/linkedtestcasesLinked test case to add
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, LinkedtestcasesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new LinkedtestcasesApi(config);
const result = await api.createLinkedTestcase({ "linkedtestcasePayload": { "project": 123, "testcase": 123 }});console.log(result);curl --request POST \ "https://api.testcollab.io/linkedtestcases?token=$TESTCOLLAB_TOKEN" \ --header 'Content-Type: application/json' \ --data '{ "issue_key": "example", "issue_id": 123, "im": "example", "project": 123, "testcase": 123, "im_project_id": "example", "im_instance_id": "example"}'Request body
Section titled “Request body”| Field | Type | Required | Description |
|---|---|---|---|
issue_key |
string | No | — |
issue_id |
number | No | — |
im |
string | No | Issue Manager string |
project |
number | Yes | project ID |
testcase |
number | Yes | Test case ID |
im_project_id |
string | No | — |
im_instance_id |
string | No | — |
Response
Section titled “Response”200 — Created Linked test case
| Field | Type | Required | Description |
|---|---|---|---|
issue_key |
string | No | — |
issue_id |
number | No | — |
im |
string | No | Issue Manager string |
project |
number | Yes | project ID |
testcase |
number | Yes | Test case ID |
im_project_id |
string | No | — |
im_instance_id |
string | No | — |
{ "issue_key": "example", "issue_id": 123, "im": "example", "project": 123, "testcase": 123, "im_project_id": "example", "im_instance_id": "example"}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |